Bug 2935 - PCMCIA Network install impossible w/RH6 on i386
PCMCIA Network install impossible w/RH6 on i386
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-20 09:18 EDT by Jason Costomiris
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 14:45:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Costomiris 1999-05-20 09:18:20 EDT
I've tried using both a 3c574-TX and a 3c589D.  Here's the
sequence of events:

1. boot using the 4/19 boot.img
2. Answer those first two or three questions.
3. Answer "yes" to "need PCMCIA support during installation"
4. insert the disk with the 4/19 pcmcia.img written to it.
5. Flip to VC4, note that the card is properly identified
and modules are loaded.

Here's what it says:

executing: './network start eth0'
+ ./network: /etc/sysconfig/network-scripts/ifup: not found
start cmd exited with status 2

Both the 574 and the 589 exhibit the same behavior.

Has anyone managed a successful network install that
requires PCMCIA?  Not that it really matters, but it's a
Mitsubishi Amity CN that's been running Debian just fine. :-
)

Are there newer images that actually work?
Comment 1 Jason Costomiris 1999-05-24 10:41:59 EDT
Any status update?
Comment 2 Matt Wilson 1999-06-01 17:47:59 EDT
The "executing: './network start eth0' ./network:
/etc/sysconfig/network-scripts/ifup: not found
start cmd exited with status 2" message is not the real problem.  Look
for more info in the same log area.
Comment 3 Jason Costomiris 1999-06-02 10:59:59 EDT
This appears to be directly related to the 3c574-TX I'm using.  It
does NOT work at all under RH 6.0.  It worked great under 5.2, and
still works great with Debian.

I just re-ran the installer using the 5/28/1999 images, and the
install works with a 3c589, but NOT a 3c574.  Weird, no?
Comment 4 Jason Costomiris 1999-06-02 14:24:59 EDT
Further update..

The 3c574-TX WILL initialize properly under RH6 if it's run at 10
Mbps.  It fails if initialized at 100.  After the card has
initialized, moving it to a 100 Mbps port causes the card to
renegotiate at 100Mbps.  Weird, huh?  I swapped out the drive and
confirmed that both Debian and even Slackerware behave properly..
Perhaps it's an option being passed to the pcmcia cs daemons?
Comment 5 David Hinds 2000-01-10 15:40:59 EST
The 3c574_cs driver did not properly initialize the MII transceiver until the
PCMCIA driver release following the one included in RH6.0.

Note You need to log in before you can comment on or make changes to this bug.